Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZGeneralDigestHandler Class Reference

The class eZGeneralDigestHandler does. More...

Inheritance diagram for eZGeneralDigestHandler:

## Public Member Functions
| __construct ()
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr)
| settings ( $user=false)
| handle ( $event)
| fetchUsersForDigest ( $timestamp)
| storeSettings ( $http, $module)
| cleanup ()
Public Member Functions inherited from eZNotificationEventHandler
| __construct ( $idString, $name)
| fetchHttpInput ( $http, $module)

## Static Public Member Functions
static | fetchHandlersForUser ( $time, $address)
static | fetchItemsForUser ( $time, $address, $handler)

## Public Attributes
const | NOTIFICATION_HANDLER_ID = 'ezgeneraldigest'
Public Attributes inherited from eZNotificationEventHandler
const | EVENT_HANDLED = 0
const | EVENT_SKIPPED = 1
const | EVENT_UNKNOWN = 2
const | EVENT_ERROR = 3
| $IDString = false
| $Name = false

## Detailed Description

The class eZGeneralDigestHandler does.

Definition at line 16 of file ezgeneraldigesthandler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZGeneralDigestHandler::__construct | ( |  | ) |

Definition at line 20 of file ezgeneraldigesthandler.php.

## Member Function Documentation

## ◆ attribute()

eZGeneralDigestHandler::attribute | ( |  | $attr | ) |

Reimplemented from eZNotificationEventHandler.

Definition at line 40 of file ezgeneraldigesthandler.php.

References eZNotificationEventHandler\attribute(), eZUser\currentUser(), eZLocale\instance(), and settings().

## ◆ attributes()

eZGeneralDigestHandler::attributes | ( |  | ) |

Reimplemented from eZNotificationEventHandler.

Definition at line 26 of file ezgeneraldigesthandler.php.

References eZNotificationEventHandler\attributes().

Referenced by hasAttribute().

## ◆ cleanup()

eZGeneralDigestHandler::cleanup | ( |  | ) |

Cleanup any specific tables or other resources.

Reimplemented from eZNotificationEventHandler.

Definition at line 241 of file ezgeneraldigesthandler.php.

References eZGeneralDigestUserSettings\cleanup().

## ◆ fetchHandlersForUser()

static eZGeneralDigestHandler::fetchHandlersForUser | ( |  | $time,
|  |  | $address
| ) |  |
| static

Definition at line 162 of file ezgeneraldigesthandler.php.

References eZNotificationEventFilter\availableHandlers(), and eZDB\instance().

## ◆ fetchItemsForUser()

static eZGeneralDigestHandler::fetchItemsForUser | ( |  | $time,
|  |  | $address,
|  |  | $handler
| ) |  |
| static

Definition at line 186 of file ezgeneraldigesthandler.php.

References eZDB\instance().

## ◆ fetchUsersForDigest()

eZGeneralDigestHandler::fetchUsersForDigest | ( |  | $timestamp | ) |

Definition at line 153 of file ezgeneraldigesthandler.php.

References eZNotificationCollectionItem\definition(), and eZPersistentObject\fetchObjectList().

Referenced by handle().

## ◆ handle()

eZGeneralDigestHandler::handle | ( |  | $event | ) |

Reimplemented from eZNotificationEventHandler.

Definition at line 99 of file ezgeneraldigesthandler.php.

References eZNotificationCollectionItem\definition(), eZTemplate\factory(), fetchUsersForDigest(), eZNotificationTransport\instance(), eZPersistentObject\removeObject(), and eZDebugSetting\writeDebug().

## ◆ hasAttribute()

eZGeneralDigestHandler::hasAttribute | ( |  | $attr | ) |

Reimplemented from eZNotificationEventHandler.

Definition at line 35 of file ezgeneraldigesthandler.php.

References attributes().

## ◆ settings()

eZGeneralDigestHandler::settings | ( |  | $user = `false` | ) |

Definition at line 84 of file ezgeneraldigesthandler.php.

References eZGeneralDigestUserSettings\create(), eZUser\currentUser(), and eZGeneralDigestUserSettings\fetchByUserId().

Referenced by attribute().

## ◆ storeSettings()

eZGeneralDigestHandler::storeSettings | ( |  | $http,
|  |  | $module
| ) |  |

Reimplemented from eZNotificationEventHandler.

Definition at line 212 of file ezgeneraldigesthandler.php.

References eZUser\currentUser(), and eZGeneralDigestUserSettings\fetchByUserId().

## Member Data Documentation

## ◆ NOTIFICATION_HANDLER_ID

const eZGeneralDigestHandler::NOTIFICATION_HANDLER_ID = 'ezgeneraldigest'

Definition at line 18 of file ezgeneraldigesthandler.php.

The documentation for this class was generated from the following file:

- ezgeneraldigesthandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.